using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Windows.Forms.Grid;

namespace GroupingGridSample
{
    public partial class Form1 : Form
    {
        List<Contact> ContactList;
        public Form1()
        {
            InitializeComponent();

        }

        public void fillGridGroupingControl()
        {
            ContactList = new List<Contact>();
            MessageBox.Show("Build the Contact-List");
            for (int i = 0; i < 2; i++)
            {
                Contact c = new Contact();
                c.Name = "HisName " + i.ToString();
                ContactList.Add(c);
            }

            MessageBox.Show("Add the column to the grid");
            // Add only one column to the grid
            GridColumnDescriptor objColumn = new GridColumnDescriptor();
            objColumn.Name = "Name";
            objColumn.MappingName = "Name";
            this.gridGroupingControl1.TableDescriptor.Columns.Add(objColumn);

            MessageBox.Show("Set the datasource of the grid");
            // Set the DataSource
            this.gridGroupingControl1.DataSource = ContactList;
        }

        public void fillGridDataboundGrid()
        {
            ContactList = new List<Contact>();
            MessageBox.Show("Build the Contact-List");
            for (int i = 0; i < 2; i++)
            {
                Contact c = new Contact();
                c.Name = "HisName " + i.ToString();
                ContactList.Add(c);
            }

            MessageBox.Show("Add the column to the grid");
            // Add only one column to the grid
            GridBoundColumn objColumn = new GridBoundColumn();
            objColumn.HeaderText = "Name";
            objColumn.MappingName = "Name";

            this.gridDataBoundGrid1.GridBoundColumns.Add(objColumn);

            MessageBox.Show("Set the datasource of the grid");
            // Set the DataSource
            this.gridDataBoundGrid1.DataSource = ContactList;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            fillGridGroupingControl();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            fillGridDataboundGrid();
        }
    }
}